is it mandatory that i upgrade?